#!/usr/bin/perl -w

#
# use >perl clf2to2.pl x.clf
# output goes to standard out 
# please use perl clf2to2.pl x.clf >new.clf
# to write to file
# for hex values only
#
use strict;
use warnings;



sub readcell
  {
    my ($filename) = @_;
    my ($line );
	my ($lac, $cid, $carrier);

 
    open(CLF, $filename) || die "Can not read cell file '$filename'.\n";
    while (defined($line = <CLF>))
      {
        $line =~ s/[\r\n]//g;

        if ($line =~ m|^\s*//| || $line eq '')
          {   # Comments are skipped
          }
        elsif ($line =~ m/^([0-9A-Fa-f]{13})\s+(.*)$/)
          {
            my ($id, $comment) = ($1, $2);
			$cid = substr($id,0,4);
			$lac = substr($id,4,4);
			$carrier = substr($id,8,5);
			printf ("%s;0x%s;0x%s;0x0000;0;0;0;%s;0\n", $carrier, $cid, $lac, $comment);

          }
        else
          {
            print STDERR "Incompatible line in cell info found.\n";
          }
      }
    close(CLF);


  }




# start here
@main::clf = ();

push(@main::clf, @ARGV);

# Read our cell data v2.0
{
  my ($filename);

  printf ("//cell list exchange format v3.0//\n" );

  foreach $filename (@main::clf)
    { readcell($filename); }

}


